/* eslint-disable prettier/prettier */
import React, {useState} from 'react';
import {View, StyleSheet, Text} from 'react-native';
import {IconButton} from 'react-native-paper';
import PropTypes from 'prop-types';

export default function Fieldheader({index, title, sectionTitleFontStyle}) {

  return (
    <View style={styles.fieldheader}>
      <Text style={styles.text(sectionTitleFontStyle)}>{title}</Text>
    </View>
  );
}

const styles = StyleSheet.create({
  text: sectionTitleFontStyle => ({
    marginLeft: 10,
    marginTop: 10,
    marginBottom: 10,
    ...sectionTitleFontStyle,
  }),
  fieldheader: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
});

Fieldheader.propTypes = {
  title: PropTypes.string.isRequired,
  index: PropTypes.number,
  sectionTitleFontStyle: PropTypes.object,
};
