/* eslint-disable prettier/prettier */
import React from 'react';
import PropTypes from 'prop-types';
import {View, StyleSheet, Text} from 'react-native';

export default function Header(props) {
  const {
    index,
    groupindex,
    name,
    value,
    meta,
    style,
    onChangeInputValue,
    isMandatory,
    headerStyle,
  } = props;

  return (
    <View style={style}>
      <View>
        <Text style={styles.header(headerStyle)}>{meta && meta.header ? meta.header : 'Header'}</Text>
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  header: headerStyle => ({
    margin: 15,
    marginTop: 20,
    textAlign: 'center',
    fontSize: 25,
    color: 'black',
    ...headerStyle,
  }),
});

Header.propTypes = {
  index: PropTypes.number,
  groupindex: PropTypes.number,
  name: PropTypes.string.isRequired,
  meta: PropTypes.object.isRequired,
  value: PropTypes.string,
  style: PropTypes.object,
  onChangeInputValue: PropTypes.func,
  isMandatory: PropTypes.bool,
  headerStyle: PropTypes.object,
};
